#include "Ball.h"
#include <iostream>
Ball::Ball()
{
	texture.loadFromFile("res/ball.png");
	sprite.setTexture(texture);
	
	restart();
}
void Ball::draw(sf::RenderTarget& target)
{
	target.draw(sprite);
}
void Ball::move()
{
	if (clock.getElapsedTime().asMilliseconds()>=20)
	{
		sprite.move(speed);
		clock.restart();
	}
}
void Ball::setDirectionfromAngle(double angle)
{
	speed=sf::Vector2f(5*cos(angle),-5*sin(angle));
	this->angle=angle;
}
void Ball::restart()
{
	sprite.setPosition(400,300);
	//std::uniform_real_distribution<double> unif(-M_PI/4, M_PI/4);
	angle=-M_PI/4;
	//angle=unif(rand);
	setDirectionfromAngle(angle);
}
